.date_selector,
.date_selector * {
    width: auto;
    height: auto;
    border: none;
    background: none;
    margin: 0;
    padding: 0;
    text-align: left;
    text-decoration: none;
}

.date_selector {
    background: #fff;
    padding: 0 10px 10px;
    margin: 0;
    margin-top: -1px;
    position: absolute;
    z-index: 50;
    display: none;
    border-radius: 3px;
    box-shadow: 0 0 5px #aaa;
    box-shadow: 0 2px 2px #ccc;
    box-sizing: content-box;
}

.date_selector_ieframe {
    position: absolute;
    z-index: 50;
    display: none;
}

.date_selector .nav {
    width: 100%;
    display:flex;
    align-items:center;
    justify-content: space-between;
}

.date_selector .nav p {
    clear: none;
}

.date_selector .month_nav,
.date_selector .year_nav {
    display:flex;
    align-items:center;
    height:35px;
}

.date_selector .month_name,
.date_selector .year_name {
    line-height: 20px;
    margin:0 10px;
}

.date_selector .button {
    display: block;
    width: 23px;
    height: 23px;
    line-height: 16px;
    color: #5985c7;
    text-align: center;
    font-size: 12px;
    overflow: hidden;
    border-radius: 50%;
    cursor:pointer;
}

.date_selector .prev {
    background: url(./images/calendar_all.png) no-repeat;
}
.date_selector .prev:hover{
    background-position: -46px 0px;
}

.date_selector .next {    
    background: url(./images/calendar_all.png) no-repeat;
    background-position: -23px 0;
}
.date_selector .next:hover{
    background-position: -69px 0px;
}

.date_selector table {
    border-spacing: 0;
    border-collapse: collapse;
    clear: both;
    margin: 0;
}
.date_selector table thead tr {
    border: 1px solid #e1e1e1;
    background: #f7f8fa;
    -webkit-box-shadow: inset 0px 1px 0 rgba(255, 255, 255, 1);
    -moz-box-shadow: inset 0px 1px 0 rgba(255, 255, 255, 1);
    box-shadow: inset 0px 1px 0 rgba(255, 255, 255, 1);
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.1);
}
.date_selector table thead{
    margin-bottom: 8px;
}

.date_selector th,
.date_selector td {
    width: auto;
    line-height: 20px;
    text-align: center;
    white-space: nowrap;
    font-size:12px;
    padding: 4px 11px;
}

.date_selector th {
    font-size: 12px;
}

.date_selector td.unselected_month {
    color: #ccc;
}

.date_selector td.selectable_day {
    cursor: pointer;
}

.date_selector td.selectable_day:hover,
.date_selector td.selectable_day.hover {
    color: #658fc1;
}


.date_selector td.selectable_day.selected {
    color: #fff;
    background: url(./images/calendar_all.png) no-repeat;
    background-position: -92px 2px;
}